Subject: Re: [PATCH v2 0/4] Check .gitmodules when using packfile URIs

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Feb 2021 12:12:08 -0800

Jonathan Tan <[email-masked]> writes:

> Here's v2. I think I've addressed all the review comments, including
> passing the index-pack args as separate arguments (to avoid the
> necessity to somehow encode in order to get rid of spaces), and by using
> a custom error function instead of a specific option in fsck.
>
> This applies on master. I mentioned earlier [1] that I was planning to
> implement this on Ævar's fsck API improvements, but after looking at the
> latest v2, I see that it omits patch 11 from v1 (which is the one I
> need), so what I've done is to use a string check in the meantime.
>
> [1] https://lore.kernel.org/git/[email-masked]/

I only looked at the difference between this round and what is in
'seen', but everything looked reasonable to me (including the code
that is near NEEDSWORK comment, and what the comment said).

Will queue.  Thanks.